Skip to main content
GET
List external accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to fetch external accounts for.

Response

id
string<uuid>

Unique identifier for the external account

external_account_external_id
string

Unique ID of the external account in an external system for linking and idempotency.

Example:

"0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq"

external_account_source
enum<string>

Source of the external account.

Available options:
UNIT,
PLAID,
API,
STRIPE,
CUSTOM
external_account_name
string

Name of the external account

Example:

"My external bank account"

latest_balance_timestamp
object

The latest balance timestamp

current_ledger_balance
integer<int64>

Current ledger balance of the external account in cents

uncategorized_transaction_sum
integer<int64>

Sum of uncategorized transactions for this external account in cents

mask
string | null

Last 4 digits of the external account number

Example:

"4321"

institution
object

The institution that the external account is associated with.

notifications
object[]

List of notifications for this external account

connection_needs_repair_as_of
string<date-time> | null

Timestamp indicating when the connection started needing repair

reconnect_with_new_credentials
boolean

Whether the connection requires reconnection with new credentials

requires_user_confirmation_as_of
string<date-time> | null

Timestamp indicating when user confirmation was required

connection_id
string<uuid> | null

Unique identifier for the connection

connection_external_id
string | null

External identifier for the connection

user_created
boolean

Whether this external account was created by a user

is_syncing
boolean

Whether the external account is currently syncing

ledger_account_id
string<uuid> | null

The ID of the ledger account associated with the external account

archived_at
string<date-time> | null

Timestamp when the external account was archived